Recent Updates
NEW: gSyncit v5

HELP/SUPPORT
Getting Started Guide

gSyncit v4 Updates

CURRENT RELEASE: v4.3.74 (March 2018) [FINAL RELEASE]

NOTE: Close Outlook before installing.

NOTE: 64-bit version requires Outlook 2010/2013/2016 64-bit. Otherwise, install the 32-bit version of gSyncit including if using Windows 64-bit.

If you encounter a problem installing the 32-bit or 64-bit version where the installer indicates you must have a specific "bit" version of Outlook installed then please click here for details on how to address this issue.

GSYNCIT V4 DISCONTINUED AS OF JUNE 15TH, 2018

As of June 15th, 2018 development and support has ended for gSyncit v4 and we will no longer be releasing maintenance updates. This change will not impact your ability to use gSyncit v4 as the license is provided without any time limitations.

If you require assistance with gSyncit v4 please consult the online gSyncit support page for help with many common issues/questions.

Please consider upgrading to gSyncit v5, the latest supported and maintained release of gSyncit. A discounted licensing options is available for those upgrading from gSyncit v4. Click here to learn more about gSyncit v5.